# Function DirectionPad

- DirectionPad(
  props: DirectionPadProps & RefAttributes<HTMLDivElement>,
  ): ReactNode

- #### Parameters

  - props: DirectionPadProps & RefAttributes<HTMLDivElement>

  #### Returns ReactNode

  - Defined in src/components/ui/directionPad/Pad.tsx:17

#####
Index

### Properties

$$typeof
defaultProps?
displayName?
propTypes?

##
Properties

### `Readonly`$$typeof

$$typeof: symbol

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:644

### `Optional` defaultProps

defaultProps?: Partial<DirectionPadProps & RefAttributes<HTMLDivElement>>

#### Deprecated

Use values for destructuring assignments instead.

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1582

### `Optional` displayName

displayName?: string

Used in debugging messages. You might want to set it explicitly if you want to display a different name for debugging purposes.

#### See

Legacy React Docs

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:660

### `Optional` propTypes

propTypes?: WeakValidationMap<DirectionPadProps & RefAttributes<HTMLDivElement>>

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1583